org.opencv.features2d

## Class BFMatcher

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.features2d.DescriptorMatcher
    - - org.opencv.features2d.BFMatcher

-     public class BFMatcher
      extends DescriptorMatcher

  Brute-force descriptor matcher. For each descriptor in the first set, this matcher finds the closest descriptor in the second set by trying each one. This descriptor matcher supports masking permissible matches of descriptor sets.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.features2d.DescriptorMatcher

      `BRUTEFORCE, BRUTEFORCE_HAMMING, BRUTEFORCE_HAMMINGLUT, BRUTEFORCE_L1, BRUTEFORCE_SL2, FLANNBASED`

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `BFMatcher()` Brute-force matcher constructor (obsolete).
    `` | `BFMatcher(int normType)` Brute-force matcher constructor (obsolete).
    `` | `BFMatcher(int normType, boolean crossCheck)` Brute-force matcher constructor (obsolete).
    `protected` | `BFMatcher(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BFMatcher` | `__fromPtr__(long addr)`
    `static BFMatcher` | `create()` Brute-force matcher create method.
    `static BFMatcher` | `create(int normType)` Brute-force matcher create method.
    `static BFMatcher` | `create(int normType, boolean crossCheck)` Brute-force matcher create method.
    `protected void` | `finalize()`

    - ### Methods inherited from class org.opencv.features2d.DescriptorMatcher

      `add, clear, clone, clone, create, empty, getTrainDescriptors, isMaskSupported, knnMatch, knnMatch, knnMatch, knnMatch, knnMatch, knnMatch, match, match, match, match, radiusMatch, radiusMatch, radiusMatch, radiusMatch, radiusMatch, radiusMatch, read, train, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BFMatcher

          protected BFMatcher(long addr)

    - #### BFMatcher

          public BFMatcher(int normType,
                           boolean crossCheck)

      Brute-force matcher constructor (obsolete). Please use BFMatcher.create()
      Parameters:
        `normType` - automatically generated
        `crossCheck` - automatically generated

    - #### BFMatcher

          public BFMatcher(int normType)

      Brute-force matcher constructor (obsolete). Please use BFMatcher.create()
      Parameters:
        `normType` - automatically generated

    - #### BFMatcher

          public BFMatcher()

      Brute-force matcher constructor (obsolete). Please use BFMatcher.create()

  - ### Method Detail

    - #### __fromPtr__

          public static BFMatcher __fromPtr__(long addr)

    - #### create

          public static BFMatcher create(int normType,
                                         boolean crossCheck)

      Brute-force matcher create method.
      Parameters:
        `normType` - One of NORM_L1, NORM_L2, NORM_HAMMING, NORM_HAMMING2. L1 and L2 norms are preferable choices for SIFT and SURF descriptors, NORM_HAMMING should be used with ORB, BRISK and BRIEF, NORM_HAMMING2 should be used with ORB when WTA_K==3 or 4 (see ORB::ORB constructor description).
        `crossCheck` - If it is false, this is will be default BFMatcher behaviour when it finds the k nearest neighbors for each query descriptor. If crossCheck==true, then the knnMatch() method with k=1 will only return pairs (i,j) such that for i-th query descriptor the j-th descriptor in the matcher's collection is the nearest and vice versa, i.e. the BFMatcher will only return consistent pairs. Such technique usually produces best results with minimal number of outliers when there are enough matches. This is alternative to the ratio test, used by D. Lowe in SIFT paper.
      Returns:
        automatically generated

    - #### create

          public static BFMatcher create(int normType)

      Brute-force matcher create method.
      Parameters:
        `normType` - One of NORM_L1, NORM_L2, NORM_HAMMING, NORM_HAMMING2. L1 and L2 norms are preferable choices for SIFT and SURF descriptors, NORM_HAMMING should be used with ORB, BRISK and BRIEF, NORM_HAMMING2 should be used with ORB when WTA_K==3 or 4 (see ORB::ORB constructor description). nearest neighbors for each query descriptor. If crossCheck==true, then the knnMatch() method with k=1 will only return pairs (i,j) such that for i-th query descriptor the j-th descriptor in the matcher's collection is the nearest and vice versa, i.e. the BFMatcher will only return consistent pairs. Such technique usually produces best results with minimal number of outliers when there are enough matches. This is alternative to the ratio test, used by D. Lowe in SIFT paper.
      Returns:
        automatically generated

    - #### create

          public static BFMatcher create()

      Brute-force matcher create method. preferable choices for SIFT and SURF descriptors, NORM_HAMMING should be used with ORB, BRISK and BRIEF, NORM_HAMMING2 should be used with ORB when WTA_K==3 or 4 (see ORB::ORB constructor description). nearest neighbors for each query descriptor. If crossCheck==true, then the knnMatch() method with k=1 will only return pairs (i,j) such that for i-th query descriptor the j-th descriptor in the matcher's collection is the nearest and vice versa, i.e. the BFMatcher will only return consistent pairs. Such technique usually produces best results with minimal number of outliers when there are enough matches. This is alternative to the ratio test, used by D. Lowe in SIFT paper.
      Returns:
        automatically generated

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `DescriptorMatcher`
      Throws:
        `Throwable`

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7